Bug 1699650 - warnings from dnssec
Summary: warnings from dnssec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-14 16:21 UTC by Kevin Fenzi
Modified: 2019-09-06 12:31 UTC (History)
9 users (show)

Fixed In Version: dnf-4.2.8-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-06 12:31:03 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2019-04-14 16:21:50 UTC
➜  ~ sudo dnf distro-sync --refresh  --best --allowerasing                                                              
[sudo] password for kevin:                                                                                              
/usr/lib/python3.7/site-packages/dnf/dnssec.py:271: UnicodeWarning: decode() called on unicode string, see https://bugzil
la.redhat.com/show_bug.cgi?id=1693751                                                                                   
  packager = pkg['packager'].decode('ascii')                                                                            
                                                                                                                        
/usr/lib/python3.7/site-packages/dnf/dnssec.py:274: UnicodeWarning: decode() called on unicode string, see https://bugzil
la.redhat.com/show_bug.cgi?id=1693751                                                                                   
  key_lines = description.decode('ascii').split('\n')[3:-3]                                                             
                                                                                                                        
DNSSEC extension: Testing already imported keys for their validity.                                                     
Fedora - Koji - Developmental packages for the next Fedora release                        17 kB/s | 3.8 kB     00:00    
Fedora - Koji - Developmental packages for the next Fedora release                       2.4 MB/s |  56 MB     00:23    
Fedora - Modular Rawhide - Developmental packages for the next Fedora release            113 kB/s |  14 kB     00:00    
Fedora - Rawhide - Developmental packages for the next Fedora release                     33 kB/s |  14 kB     00:00    
google-chrome                                                                             27 kB/s | 1.3 kB     00:00    


This is perhaps related to: 

https://bugzilla.redhat.com/show_bug.cgi?id=1693751

Comment 1 Marek Blaha 2019-06-20 12:10:29 UTC
PR https://github.com/rpm-software-management/dnf/pull/1419 fixes the issue

Comment 2 Ben Cotton 2019-08-13 16:53:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 19:09:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Fedora Update System 2019-08-14 12:11:17 UTC
FEDORA-2019-40235845dc has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-40235845dc

Comment 5 Fedora Update System 2019-08-16 19:50:23 UTC
dnf-4.2.8-1.fc30, dnf-plugins-core-4.0.9-1.fc30, dnf-plugins-extras-4.0.5-1.fc30, libdnf-0.35.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-40235845dc

Comment 6 Fedora Update System 2019-08-26 13:26:30 UTC
FEDORA-2019-40235845dc has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-40235845dc

Comment 7 Fedora Update System 2019-08-27 18:21:28 UTC
dnf-4.2.8-1.fc30, dnf-plugins-core-4.0.9-1.fc30, dnf-plugins-extras-4.0.5-1.fc30, libdnf-0.35.2-1.fc30, swid-tools-0.8.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-40235845dc

Comment 8 Fedora Update System 2019-08-29 05:05:25 UTC
FEDORA-2019-40235845dc has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-40235845dc

Comment 9 Fedora Update System 2019-08-30 00:03:39 UTC
dnf-4.2.8-1.fc30, dnf-plugins-core-4.0.9-1.fc30, libdnf-0.35.2-1.fc30, swid-tools-0.8.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-40235845dc

Comment 10 Fedora Update System 2019-09-06 12:31:03 UTC
dnf-4.2.8-1.fc30, dnf-plugins-core-4.0.9-1.fc30, libdnf-0.35.2-1.fc30, swid-tools-0.8.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.